aboutsummaryrefslogtreecommitdiff
path: root/app/text
diff options
context:
space:
mode:
authorrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2008-11-27 16:05:54 +0000
committerrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2008-11-27 16:05:54 +0000
commit2cd81aedce1f3e0cf3a1c597e2420110a5a7894a (patch)
tree7fe740917fbb54b8e10e42c40bcd69d27bed6ff3 /app/text
parentacbbe3011c0d08bf44de093f9d9cd3a1d08ac14a (diff)
downloadslackbuilds-2cd81aedce1f3e0cf3a1c597e2420110a5a7894a.tar.gz
slackbuilds-2cd81aedce1f3e0cf3a1c597e2420110a5a7894a.tar.bz2
packages now shipping with slack-required
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@1980 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'app/text')
-rw-r--r--app/text/enchant/enchant.SlackBuild8
-rw-r--r--app/text/gtkspell/gtkspell.SlackBuild8
2 files changed, 14 insertions, 2 deletions
diff --git a/app/text/enchant/enchant.SlackBuild b/app/text/enchant/enchant.SlackBuild
index dca7809b..e36e5a8a 100644
--- a/app/text/enchant/enchant.SlackBuild
+++ b/app/text/enchant/enchant.SlackBuild
@@ -143,11 +143,17 @@ enchant: external dependencies to 0, or as close is as humanly possible.
enchant:
EODESC
+# Copy slack-required
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+if [ -f "$CWD/slack-required" ]; then
+ cp $CWD/slack-required $PKG/install
+fi
+
# Build the package
cd "$PKG"
makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
# Delete source and build directories if requested
-if [ "$CLEANUP" == "yes" ]; then
+if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then
rm -rf "$PKG_WORK" "$PKG"
fi
diff --git a/app/text/gtkspell/gtkspell.SlackBuild b/app/text/gtkspell/gtkspell.SlackBuild
index e2249a32..b94c79a3 100644
--- a/app/text/gtkspell/gtkspell.SlackBuild
+++ b/app/text/gtkspell/gtkspell.SlackBuild
@@ -146,11 +146,17 @@ gtkspell:
gtkspell:
EODESC
+# Copy slack-required
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+if [ -f "$CWD/slack-required" ]; then
+ cp $CWD/slack-required $PKG/install
+fi
+
# Build the package
cd "$PKG"
makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
# Delete source and build directories if requested
-if [ "$CLEANUP" == "yes" ]; then
+if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then
rm -rf "$PKG_WORK" "$PKG"
fi